import type { RouteData } from '../../@types/astro';
import type { RouteInfo, SSRManifest as Manifest } from './types';
import { renderPage } from '../render/index.js';
export { deserializeManifest } from './common.js';
export declare const pagesVirtualModuleId = "@astrojs-pages-virtual-entry";
export declare const resolvedPagesVirtualModuleId: string;
export interface MatchOptions {
    matchNotFound?: boolean | undefined;
}
export declare class App {
    #private;
    renderPage: typeof renderPage;
    constructor(manifest: Manifest, streaming?: boolean);
    updateRoutes(routes: RouteInfo[]): void;
    get routes(): RouteData[];
    removeBase(pathname: string): string;
    match(request: Request, { matchNotFound }?: MatchOptions): RouteData | undefined;
    render(request: Request, routeData?: RouteData): Promise<Response>;
    setCookieHeaders(response: Response): Generator<string, void, unknown>;
}
