import { viteID } from "../../util.js";
import { isCSSRequest } from "./util.js";
import { crawlGraph } from "./vite.js";
async function getStylesForURL(filePath, loader, mode) {
  const importedCssUrls = /* @__PURE__ */ new Set();
  const importedStylesMap = /* @__PURE__ */ new Map();
  for await (const importedModule of crawlGraph(loader, viteID(filePath), true)) {
    if (isCSSRequest(importedModule.url)) {
      let ssrModule;
      try {
        ssrModule = importedModule.ssrModule ?? await loader.import(importedModule.url);
      } catch {
        continue;
      }
      if (mode === "development" && typeof (ssrModule == null ? void 0 : ssrModule.default) === "string") {
        importedStylesMap.set(importedModule.url, ssrModule.default);
      } else {
        importedCssUrls.add(importedModule.url);
      }
    }
  }
  return {
    urls: importedCssUrls,
    stylesMap: importedStylesMap
  };
}
export {
  getStylesForURL
};
